RelayAPI

Boost an existing published post

POST
/v1/ads/boost
AuthorizationBearer <token>

API key (rlay_live_* or rlay_test_). Invite redemption also accepts a server-derived rlay_session_ bearer for a current user session.

In: header

Header Parameters

idempotency-key*string

Caller-generated key that identifies one logical paid-object creation

Length1 <= length

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/ads/boost" \  -H "idempotency-key: string" \  -H "Content-Type: application/json" \  -d '{    "ad_account_id": "string",    "daily_budget_cents": 0,    "duration_days": 1  }'
{  "data": {    "ad_account_id": "string",    "body": "string",    "boost_external_post_id": "string",    "boost_post_target_id": "string",    "call_to_action": "string",    "campaign_id": "string",    "created_at": "2019-08-24T14:15:22Z",    "daily_budget_cents": 0,    "duration_days": 0,    "end_date": "2019-08-24T14:15:22Z",    "headline": "string",    "id": "string",    "image_url": "string",    "is_external": true,    "lifetime_budget_cents": 0,    "link_url": "string",    "name": "string",    "platform": "meta",    "platform_ad_id": "string",    "start_date": "2019-08-24T14:15:22Z",    "status": "draft",    "targeting": null,    "updated_at": "2019-08-24T14:15:22Z",    "video_url": "string"  }}

Found something wrong? Help us improve this page.